#
Summary: This will enable sendmail to accept mail from the outside world
Name: zz_sendmail_accept
Version: 1.0
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v7.1.1
Vendor: Fermilab
Packager: Kevin Hill
requires: sendmail-cf, m4
%description

This rpm modifies the sendmail.mc file and rebuilds sendmail.cf so sendmail
will accept mail from the outside world and not just localhost.

%files
%post

#
#

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	echo "sendmail.mc was already edited. delete sendmail.mc.rpmsave"
	echo "if you are sure you want to do this"
else
	cd /etc/mail
	cp sendmail.mc sendmail.mc.rpmsave
	cat sendmail.mc.rpmsave | sed 's/DAEMON_OPTIONS/dnl DAEMON_OPTIONS/' >sendmail.mc
	m4 sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

%postun

if [ -f /etc/mail/sendmail.mc.rpmsave ]
then
	mv -f /etc/mail/sendmail.mc.rpmsave /etc/mail/sendmail.mc 
	m4 /etc/mail/sendmail.mc >/etc/sendmail.cf
	service sendmail restart
fi

